function [] = REF_mak(fid,refstring,filename,lst,target)
% [] = REF_mak(fid,refstring,filename,lst,target)
% Makes a HTML REF to a specific file name
%
% INPUT PARAMETERS
%
% fid               = file pointer to the file you
%                     are currently working with
% refstring         = the string in the HTML which
%                     identifies your link (i.e. the
%                     underlined writing)
% filename          = the file your are creating a link to
% lst               = 0-> not member of a bullet list
%                     1-> member of a bullet list
% target            = use only for frames. Indicate the TARGET
%                     frame where the html file will be displayed
%
% Copyright (c) 1996 B.K. Alsberg
%

%if lst == 1,
% str = ['<LI><A HREF ="',filename,'">',refstring,'</A></LI>']; 
% fprintf(fid,'%s \n',str);
%elseif lst == 0
% str = ['<A HREF ="',filename,'">',refstring,'</A>']; 
% fprintf(fid,'%s \n',str);
%end;

if nargin == 5,
 trg = [' TARGET = ' '"' target '"'];
else
 trg = [];
end;

if lst == 1,
 str = ['<LI><A HREF ="',filename,'"' trg  '>',refstring,'</A></LI>']; 
 fprintf(fid,'%s \n',str);
elseif lst == 0
 str = ['<A HREF ="',filename,'"'  trg  '>',refstring,'</A>']; 
 fprintf(fid,'%s \n',str);
end;


