function [Nam,email,par] = iniread1()
% [Nam,email,par] = iniread1()
% Reads contents in the initialization file
% HTINI.DAT related to SIGNATURE information
%
% OUTPUT PARAMETERS
% 
% Nam     = a string with user name indicated in ini-file
% email   = the e-mail address of user
% par     = a parameter vector
%
% Copyright (c) B.K. Alsberg 22/2-1997
%


fid = fopen('htini.dat');

 inp = [fgetl(fid) blanks(1)];
 Nam = deblank(inp);

 inp = [fgetl(fid) blanks(1)];
 email = deblank(inp);

 inp = [fgetl(fid) blanks(1)];
 str = ['par = ' deblank(inp) ';'];
 eval(str);



fclose(fid);


