function [color_str1,color_email_str,font,fontsize,html_home,cp] = iniread2()
% [color_str1,color_email_str,font,fontsize,html_home,cp] = iniread2()
% Reads contents in the initialization file
% HTINI.DAT related to FONT and COLOR information
% in the SIGNATURE
%
% OUTPUT PARAMETERS
% 
% color_str1        = color of first line in signature file
% color_email_str   = color of the string related to the e-mail address
% font              = type of font
% fontsize          = size of font
% html_home         = Home directory for the HTML toolbox
% cp                = Name of gif file beside user name (usually copyright.gif);
%
% Copyright (c) B.K. Alsberg 22/2-1997
%


fid = fopen('htini.dat');

%%%%%%%% Skipping these lines for output %%%%%%

 inp = [fgetl(fid) blanks(1)];
 Nam = deblank(inp);

 inp = [fgetl(fid) blanks(1)];
 email = deblank(inp);

 inp = [fgetl(fid) blanks(1)];
 str = ['par = ' deblank(inp) ';'];
 eval(str);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 inp = [fgetl(fid) blanks(1)];
 str = ['color_str1 = ' deblank(inp) ';'];
 eval(str);

 inp = [fgetl(fid) blanks(1)];
 str = ['color_email_str = ' deblank(inp) ';'];
 eval(str);

 inp = [fgetl(fid) blanks(1)];
 str = ['font = ' deblank(inp) ';'];
 eval(str);

 inp = [fgetl(fid) blanks(1)];
 str = ['fontsize = ' deblank(inp) ';'];
 eval(str);


 inp = [fgetl(fid) blanks(1)];

 inp = [fgetl(fid) blanks(1)];
 str = ['cp = ' deblank(inp) ';'];
 eval(str);
 inp = [fgetl(fid) blanks(1)];

 inp = [fgetl(fid) blanks(1)];
 str = ['html_home = ' deblank(inp) ';'];
 eval(str);
% html_home = ['file:///C|' html_home];



fclose(fid);


