function [] = HEAD_mak(fid,directory,overhead,fontsize,type)
% []=HEAD_mak(fid,directory,overhead,[fontsize],[type])
% Making a simple header for HTML documents
%
% INPUT PARAMETERS
%
% fid              = pointer to current file
% directory        = current directory
% overhead         = string with the title of the HTML doc.
% fontsize         = size of title string
% type             = 0-> bold, 1-> italics
%
% Copyright (c) 1996 B.K. Alsberg
%


%% Here you can specify the name of the GIF file
%% containing the background and where it is located:


[gif_file,dirloc,color] = iniread3;


%%%%%%%% First we write the HTML header info %%%%%%%%%
s(1,:) = '<HTML>                                             ';
s(2,:) = '<HEAD>                                             ';
s(3,:) = '  <TITLE>/</TITLE>                                 ';
s(4,:) = '  <META NAME="GENERATOR" CONTENT="HTML-TOOLBOX ">  ';
s(5,:) = '</HEAD>                                            ';
s(6,:) = '<BODY>                                             ';
s(7,:) = '</BODY>                                            ';
s(8,:) = '</HTML>                                            ';

for j = 1:5
 fprintf(fid,'%s \n',s(j,:));
end;

%% Here we print out the code of selecting a background GIF-file:
if length(gif_file) >0,
 background = ['<BODY BACKGROUND="',dirloc,gif_file,'">'];
 fprintf(fid,'%s \n',background); 
end;

fprintf(fid,'%s \n','<HR WIDTH="100%"></P>');

fntwrt(fid,overhead,'CENTER',fontsize,type,color);
fntwrt(fid,directory,'CENTER',fontsize-2,type,color);




