function [bgfile,direc,col] = iniread3()
%  [bgfile,direc,col] = iniread3()
% Reads contents in the initialization file
% HTINI.DAT related to background GIF file, directory for this 
% gif file and color.
%
% OUTPUT PARAMETERS
% 
% bgfile       = background gif file for HTML
% direc        = directory where this gif file is located
% col          = color          
%
% Copyright (c) B.K. Alsberg 22/2-1997
%


fid = fopen('htini.dat');


%%%%%%% Skipping these lines for output %%%%%%
for i = 1:9
 inp = fgetl(fid);
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 inp = [fgetl(fid) blanks(1)];
 str = ['bgfile = ' deblank(inp) ';'];
 eval(str);

 inp = [fgetl(fid) blanks(1)];
 str = ['direc = ' deblank(inp) ';'];
 eval(str);

 inp = [fgetl(fid) blanks(1)];
 str = ['col = ' deblank(inp) ';'];
 eval(str);

fclose(fid);


