function S = sortstrm(M)
% Sort a matrix of string in alphabetic order
%
% INPUT PARAMETERS
%
% M           = each row has a string
%
% OUTPUT PARAMETER
%
% S           = lexically sorted rows of M above
%
% Copyright (c) 1996 B.K. Alsberg
%


[n,m]=size(M);


for i = 1:n
 x(i,:) = real(M(i,:));
end;


[mm,idx]=sort(u);
S = M(idx,:);


