function C = wrdfnd(s)
% C = wrdfnd(s)
% Divides the string s into fragments separated by
% blanks. 
%
% INPUT PARAMETER
%
% s    = vector of strings
%
% OUTPUT PARAMETER
%
% C    = matrix of strings where each row contains the
%        string separated by blanks
%
% Copyright (c) 1996 B.K. Alsberg
%

% Max. length of each word
n = 80;
C = zeros(1,n);
k=1;
stop=1;

while stop ~=2
 tmp = strtok(s);
 q = length(tmp);
 d = length(s);
 if q >=1,
   a = findstr(s,tmp);
   s = s(a+q:d);
   C(k,1:q) =tmp;
   k=k+1;
 else
   stop =2;
 end;
end;



